Page MenuHomePhabricator

rack/setup/install db2093 (WAS: rack/setup/install tendril2001)
Closed, ResolvedPublic

Description

This task will track the racking and setup of db2093 tendril2001, purchased on T184106.

Racking Plan: System needs an internal subnet, so it can go in ANY of the 4 rows in codfw. Please rack in whatever row you have the most room/continue to balance racks to evenly distribute systems.

  • - receive in system on procurement task T184106
  • - rack system with proposed racking plan (see above) & update racktables (include all system info plus location)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, private vlan vlan)
    • end on-site specific steps
  • - production dns entries added (private subnet)
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation (stretch)
  • - puppet accept/initial run
  • - handoff for service implementation

Details

Related Gerrit Patches:

Event Timeline

RobH triaged this task as Normal priority.Jan 31 2018, 4:14 PM
RobH created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 31 2018, 4:14 PM

Rack location = D5

Papaul updated the task description. (Show Details)Jan 31 2018, 7:39 PM

Change 407171 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Add mgmt dns entries for tendril2001

https://gerrit.wikimedia.org/r/407171

Papaul updated the task description. (Show Details)Jan 31 2018, 11:11 PM

Change 407171 merged by Dzahn:
[operations/dns@master] DNS: Add mgmt dns entries for tendril2001

https://gerrit.wikimedia.org/r/407171

Papaul added a comment.Feb 1 2018, 4:04 PM

@Marostegui is okay for me to use raid1-gpt.cfg for the partman on this system ?

Change 407454 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Add production DNS entry for tendril2001

https://gerrit.wikimedia.org/r/407454

Papaul updated the task description. (Show Details)Feb 1 2018, 4:17 PM

Change 407457 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/puppet@production] DHCP: Add MAC address entry for tendril2001

https://gerrit.wikimedia.org/r/407457

raid1-gpt.cfg seems about right

Change 407457 merged by Dzahn:
[operations/puppet@production] DHCP: Add MAC address entry for tendril2001

https://gerrit.wikimedia.org/r/407457

Dzahn added a subscriber: Dzahn.Feb 2 2018, 2:20 PM

After talking with jcrespo on IRC:

We should use a different name for this system. So far tendril is only a service name, not a host name. And tendril might be replaced by other software.

dbmonitor* are the frontends and this host will be a backend, the codfw equivalent to:

node 'db1011.eqiad.wmnet' {
    role(mariadb::tendril)

So 2 options here, either just give this a db number name like all db's before, or find a new name, suggested is: dbmonitor-be2001 for dbmonitor backend, or something similar and later replace or rename db1001 with dbmonitor-be1001.

We just shouldn't mix it to avoid confusion.

As I have stated on T185788 my personal preference is to keep using db* on both, eqiad and codfw.
I was also fine with tendrilXXXX.

I honestly thing we are making a big deal out of a hostname decision, so I will go with whatever is decided.

Papaul added a comment.Feb 2 2018, 3:51 PM

Thanks to all for the name discussion, but so far no decision has been made yet if we are keeping the same name or changing the name.

Please confirm if we are are keeping the name or changing the name. If we are changing the name what is the new hosts name ?

Thanks.

The things is people like @faidon expressed that our current schema names was confusing for him, and I can see a reason why. We can run, even with difficulty, any db* service on any other db* service, we will not be able to do that with these hosts due to the lack of hw RAID (hw cache).

Change 408731 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/puppet@production] Partman: Add tendril2001 to partman recipe

https://gerrit.wikimedia.org/r/408731

@jcrespo @Marostegui Hello this has been already a week since last week I have no update if we have to keep the name or not on this system.

if you have time this week, can you please update me on this case so I can continuing with the installation.
Thanks

@Papaul as you may have heard, we are in a kind of an emergency right now busy on fixing other stuff, this will have to be delayed.

Hi,

After a chat with @jcrespo we have agreed to rename this host to a normal dbXXXX one, so please can we rename it to: db2093
Please make sure that the physical label is also changed to reflect the new hostname physically too.

I am going to rename the original task with the hostname
Thanks, sorry changing this so some of the work must be re-done again :-(

Marostegui renamed this task from rack/setup/install tendril2001 to rack/setup/install db2093 (WAS: rack/setup/install tendril2001).Feb 15 2018, 2:28 PM
Marostegui updated the task description. (Show Details)
Dzahn mentioned this in Unknown Object (Task).Feb 20 2018, 11:57 PM

Change 407454 merged by Dzahn:
[operations/dns@master] DNS: Add production DNS entry for db2093

https://gerrit.wikimedia.org/r/407454

host 10.192.48.91
91.48.192.10.in-addr.arpa domain name pointer db2093.codfw.wmnet.

host db2093.codfw.wmnet
db2093.codfw.wmnet has address 10.192.48.91

Change 413068 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] install_server: rename tendril2001 to db2093

https://gerrit.wikimedia.org/r/413068

Change 413068 merged by Dzahn:
[operations/puppet@production] install_server: rename tendril2001 to db2093

https://gerrit.wikimedia.org/r/413068

@Papaul prod IP added, renamed in DHCP, partman doesn't have to be changed. you can now go ahead with the OS install

Change 413070 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] rename tendril2001.mgmt to db2093.mgmt

https://gerrit.wikimedia.org/r/413070

Change 413070 merged by Dzahn:
[operations/dns@master] rename tendril2001.mgmt to db2093.mgmt

https://gerrit.wikimedia.org/r/413070

Change 408731 merged by Dzahn:
[operations/puppet@production] Partman: Add db2093 to partman recipe

https://gerrit.wikimedia.org/r/408731

Papaul updated the task description. (Show Details)Feb 21 2018, 1:31 AM
Papaul reassigned this task from Papaul to Marostegui.Feb 21 2018, 4:04 AM
Papaul updated the task description. (Show Details)
Papaul added a subscriber: Papaul.

@Marostegui it is all yours. Installation complete .

Marostegui closed this task as Resolved.Feb 21 2018, 3:28 PM
Marostegui updated the task description. (Show Details)

Thanks @Papaul! This looks good.
We can continue the setup at T184704